'use strict';

var vue = require('vue');
var CToastClose = require('./CToastClose.js');

const CToastHeader = vue.defineComponent({
    name: 'CToastHeader',
    props: {
        /**
         * Automatically add a close button to the header.
         */
        closeButton: Boolean,
    },
    setup(props, { slots }) {
        return () => vue.h('div', { class: 'toast-header' }, [
            slots.default && slots.default(),
            props.closeButton && vue.h(CToastClose.CToastClose),
        ]);
    },
});

exports.CToastHeader = CToastHeader;
//# sourceMappingURL=CToastHeader.js.map
